libetonyek::IWORKLayoutElement Class Reference

`#include <IWORKLayoutElement.h>`

Inheritance diagram for libetonyek::IWORKLayoutElement:

## Public Member Functions
| IWORKLayoutElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | open ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Protected Attributes
bool | m_opened
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Private Attributes
IWORKStylePtr_t | m_style

## Constructor & Destructor Documentation

## ◆ IWORKLayoutElement()

libetonyek::IWORKLayoutElement::IWORKLayoutElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLayoutElement::attribute | ( | int | name,
|  | const char * | value )
| override protected virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLayoutElement::element | ( | int | name | ) |
| override protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKLayoutElement::endOfElement | ( |  | ) |
| override protected virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ open()

void libetonyek::IWORKLayoutElement::open | ( |  | ) |
| protected

Referenced by element().

## Member Data Documentation

## ◆ m_opened

bool libetonyek::IWORKLayoutElement::m_opened
| protected

Referenced by element(), endOfElement(), IWORKLayoutElement(), and open().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKLayoutElement::m_style
| private

Referenced by attribute(), IWORKLayoutElement(), and open().

The documentation for this class was generated from the following files:

- IWORKLayoutElement.h
- IWORKLayoutElement.cpp